# Generated from flot-rails-0.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flot-rails

Name: rubygem-%{gem_name}
Version: 0.0.7
Release: 1%{?dist}.2
Summary: jQuery Flot for Rails Asset pipeline
Group: Development/Languages
License: MIT
URL: http://rubygems.org/gems/flot-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
# BuildRequires: rubygem(rails) => 3.1
BuildArch: noarch

%description
Provides easy installation and usage of jQuery-flot javascript library for
your Rails 3.1+ application.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
find %{buildroot}%{gem_dir} -type f -print | xargs chmod a-x




# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/flot-rails.gemspec

%changelog
* Wed Apr 22 2020 Oleg Girko <ol@infoserver.lv> - 0.0.7-2
- Fix permissions of installed files to fix Fedora 32 build
* Wed May 23 2018 Oleg Girko <ol@infoserver.lv> - 0.0.7-1
- Update to 0.0.7
* Fri Jun 17 2016 Oleg Girko <ol@infoserver.lv> - 0.0.6-1
- Initial package
